Subject: bug#10575: "compress" not found: causes many test failures

From: Stefano Lattarini <[email-masked]>
Date: Sun, 22 Jan 2012 12:53:17 +0100

On 01/22/2012 12:29 PM, Jim Meyering wrote:
>
> Stefano Lattarini wrote:
>>
>> * tests/vala-mix.test ($required): Add 'valac'; this will avoid
>> spurious failures on systems lacking a Vala compiler.
>> Add some explicative comments for a couple of non-obvious make
> 
> I think of "explicative" as a word not in common usage
> and would use "explanatory" in its place.
>
Sorry, L1 interference.  I'll try to remember your advice in the
future.

>> diff --git a/tests/vala-mix.test b/tests/vala-mix.test
>> index f597a7f..73a07d9 100755
>> --- a/tests/vala-mix.test
>> +++ b/tests/vala-mix.test
>> @@ -16,7 +16,7 @@
>>
>>  # Vala sources and C sources in the same program.  Functional test.
>>
>> -required='cc GNUmake'
>> +required='valac cc GNUmake'
>>  . ./defs || Exit 1
>>
>>  set -e
>> @@ -96,8 +96,9 @@ have_generated_files ()
>>  # C files.
>>  have_generated_files
>>
>> +# Remake rules are not uselessly triggered.
> 
> That added comment didn't help me much, at first.
> Then I realized you probably intended this:
> 
>   # Ensure that remake rules are not uselessly triggered.
>
Yes, sorry for the sloppiness.  Unfortunately, I have already pushed,
so we can't squash in this improvement; but feel free to push it in a
"fixup" commit if you think that would be useful.

Thanks,
  Stefano